Package com.databricks.jdbc.common

## Class AllPurposeCluster

- java.lang.Object
- - com.databricks.jdbc.common.AllPurposeCluster

All Implemented Interfaces:
  `IDatabricksComputeResource`

    public class AllPurposeCluster
    extends Object
    implements IDatabricksComputeResource

### Constructor Summary

Constructors
`AllPurposeCluster​(String orgId, String clusterId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object obj)`
`String` `getClusterId()`
`String` `getOrgId()`
`String` `getWorkspaceId()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AllPurposeCluster

    public AllPurposeCluster​(String orgId,
                             String clusterId)

### Method Detail

#### getClusterId

    public String getClusterId()

#### getOrgId

    public String getOrgId()

#### equals

    public boolean equals​(Object obj)

Overrides:
  `equals` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### getWorkspaceId

    public String getWorkspaceId()

Specified by:
  `getWorkspaceId` in interface `IDatabricksComputeResource`